# Generated by rust2rpm
# Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate jobserver

Name:           rust-%{crate}
Version:        0.1.11
Release:        6%{?dist}
Summary:        Implementation of the GNU make jobserver for Rust

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/jobserver
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * No windows
# * Bump tokio-process to 0.2, https://github.com/alexcrichton/jobserver-rs/pull/8
Patch0:         jobserver-0.1.11-fix-metadata.diff
# Make it work with new tokio-process
Patch1:         0001-bump-tokio-process-to-0.2.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(libc/default) >= 0.2.0 with crate(libc/default) < 0.3.0)
BuildRequires:  (crate(log/default) >= 0.4.0 with crate(log/default) < 0.5.0)
%if %{with check}
BuildRequires:  (crate(futures/default) >= 0.1.0 with crate(futures/default) < 0.2.0)
BuildRequires:  (crate(num_cpus/default) >= 1.0.0 with crate(num_cpus/default) < 2.0.0)
BuildRequires:  (crate(tempdir/default) >= 0.3.0 with crate(tempdir/default) < 0.4.0)
BuildRequires:  (crate(tokio-core/default) >= 0.1.0 with crate(tokio-core/default) < 0.2.0)
BuildRequires:  (crate(tokio-process/default) >= 0.2.0 with crate(tokio-process/default) < 0.3.0)
%endif

%global _description \
An implementation of the GNU make jobserver for Rust.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Nov 13 2018 Josh Stone <jistone@redhat.com> - 0.1.11-6
- Adapt to new packaging

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.11-5
- Rebuild to trigger tests

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.11-4
- Rebuild to trigger tests

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 14 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.11-2
- Bump tokio-process to 0.2

* Wed Mar 14 2018 Josh Stone <jistone@redhat.com> - 0.1.11-1
- Update to 0.1.11

* Tue Mar 13 2018 Josh Stone <jistone@redhat.com> - 0.1.10-1
- Update to 0.1.10

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.9-1
- Initial package
